<DockLayout stretchLastChild="true" class="auth-container">
  <FlexboxLayout
    dock="bottom"
    class="auth-actions"
    flexDirection="row"
    [justifyContent]="bottomLeftText ? 'space-between' : 'flex-end'"
  >
    <app-button
      *ngIf="bottomLeftText"
      type="text"
      [text]="bottomLeftText"
      (tap)="bottomLeftAction.emit()"
    ></app-button>
    <app-button
      *ngIf="submitText"
      [text]="submitText"
      (tap)="onSubmit.emit()"
    ></app-button>
  </FlexboxLayout>

  <ScrollView #ScrollList>
    <StackLayout class="auth-form-body">
      <FlexboxLayout
        flexDirection="row"
        alignItems="center"
        justifyContent="space-between"
        class="auth-header"
      >
        <app-heading *ngIf="title" [text]="title"></app-heading>
        <app-button
          *ngIf="titleButton"
          height="36"
          [text]="titleButton"
          type="border"
          (tap)="titleAction.emit()"
        ></app-button>
      </FlexboxLayout>

      <StackLayout orientation="vertical">
        <app-non-field-messages
          *ngIf="nonFieldErrors"
          [messages]="nonFieldErrors"
        ></app-non-field-messages>
        <ng-content></ng-content>
      </StackLayout>
    </StackLayout>
  </ScrollView>
</DockLayout>
